[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.GetEnvironmentList

Return a list of environment variables.

## Declaration

Source position: line 0

`public procedure TCustomApplication.GetEnvironmentList(`
`List: TStrings;`
`NamesOnly: Boolean`
`); procedure TCustomApplication.GetEnvironmentList(`
`List: TStrings`
`);`

## Arguments

`List` |  | List to return environment strings in.
`NamesOnly` |  | If True, only environment variable names will be returned.

## Arguments

`List` |  | List to return environment strings in.

## Description

GetEnvironmentList returns a list of environment variables in List. They are in the form Name=Value, one per item in list. If NamesOnly is True, then only the names are returned.

## See also

EnvironmentVariable |  | Environment variable access

The latest version of this document can be found at lazarus-ccr.sourceforge.net .